SND_SOC_COMPONENT_TE(9)

NAME
snd_soc_component_test_bits - Test register for change

SYNOPSIS

int snd_soc_component_test_bits(struct snd_soc_component * component, unsigned int reg, unsigned int mask, unsigned int value);

ARGUMENTS

component
    component

reg
    Register to test

mask
    Mask that specifies which bits to test

value
    Value to test against

DESCRIPTION

Tests a register with a new value and checks if the new value is different from the old value.

RETURN

1 for change, otherwise 0.

COPYRIGHT